package com.jkcredit.illegal.info.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import org.springframework.beans.BeanUtils;

import java.io.Serializable;

/**
 * @author xusonglin
 * @version V1.0
 **/
@ToString
@Data
@AllArgsConstructor
@NoArgsConstructor
public class VehicleOwnerValidateChargeObject implements Serializable {
    private static final long serialVersionUID = 6336566389330019893L;

    private String method;

    private String traceId;

    private String code;

    private String result;

    private boolean isCharge;

    public VehicleOwnerValidateChargeObject(VehicleOwnerValidateResult result, boolean isCharge, String traceId) {
        BeanUtils.copyProperties(result, this);
        this.method = "vehicleOwnerValidate";
        this.isCharge = isCharge;
        this.traceId = traceId;
    }
}
